#!/usr/local/bin/perl

use strict;
use CGI;
use CGI::Carp qw(fatalsToBrowser);
use HTML::Template;
use Jcode;

use lib qw(./lib);
use GetJPNICIPList;

use vars qw($cgi);

$cgi = CGI->new();


print &main();


sub main{
	my $addr;
	my $host;

	$addr = $ENV{'REMOTE_ADDR'};
	$host = $ENV{'REMOTE_HOST'};
	if( &Check_JPNICIP( $addr ) == 0 && $host !~ m|^YahooBB| ){
		print "JPNIC and Yahoo!BBłȂ\n";
		return 1;
	}
	print "JPNIC and Yahoo!BB\n";
	return 0;
}

sub Check_JPNICIP{
	my $ChkIP = shift;
	my $jpip = GetJPNICIPList->new;

	my $ret = $jpip->DataGet( 'http://www.nic.ad.jp/ja/dns/jp-addr-block.html' , 'tmpHTML_jp.dat' );
	if( $ret == 0 ){
		my @te = $jpip->GetIPLIST();
		foreach( @te ){
			if( $ChkIP =~ m|^$_| ){
				return 1;
			}
		}
	}
	$ret = $jpip->DataGet( 'http://www.nic.ad.jp/ja/dns/ap-addr-block.html' , 'tmpHTML_ap.dat' );
	if( $ret == 0 ){
		my @te = $jpip->GetIPLIST();
		foreach( @te ){
			if( $ChkIP =~ m|^$_| ){
				return 1;
			}
		}
	}
	return 0;
}
