################################################
# GetJPNICIPList.pm V1.00
# Copyright(C) 2004 Yuumi <gochagocha@ribbon.to>
# http://gochagocha.org/
# http://gochagocha.ribbon.to/
################################################
#
#@{vO̓t[\tgEFA[łBgpɂ͈ȉ̎gp肭
#
#@gp
#@PDpړIɎgpĂ͂܂
#@QD쌠폜ĎgpĂ͂܂
#@RD쌠폜ĂQn앨쐬A͂QzzsĂ͂܂
#
#
#@ݒu@
#@PDM̍ perl XNvg iplist.pl QlɂȂ GetJPNICIPList.pm gݍށB
#
#
#@
#@PDJPNIC( http://www.nic.ad.jp/ )ɌJĂ JPNIC Ǌ IP AhXXg擾Ώۂ IP AhXXgWJĕԂ

package GetJPNICIPList;

use strict;
use CGI;
use Net::HTTP;

use vars qw(
	$GetURL
	$tmpDIR
	$HtmlTmpFile
	$Flag_GetOK
	@IPLIST
);


sub new {
	my $class = shift;
	my $self = {
		id=>undef,
		name=>undef,
	};
	bless $self,$class;
	$self->_init(@_);
	$self;
}


sub _init {
	my $self = shift;
	my %args = @_;
	while ( my($k,$v) = each(%args)) {
		eval {
			$self->$k($v)
		};
		if($@){
			warn $@;
		}
	}
	$HtmlTmpFile = 'tmphtml.dat';
	$tmpDIR = '/tmp/';
}

sub SetGetURL{
	my $self = shift;
	my $GetURLtxt = shift;

	$Flag_GetOK = 0;
	$GetURL = '';

	if( $GetURLtxt !~ m|^http://[a-z]|g ){
		return -1;
	}

	$GetURL = $GetURLtxt;

	return 0;
}

sub DataGet{
	my $self = shift;
	my $GetURLtxt = shift;
	my $setHtmlFile = shift;
	my $kyouseiGet = shift;

	undef @IPLIST;
	$Flag_GetOK = 0;
	if( $GetURLtxt !~ m|^http://[a-z]|g ){
		if( $GetURL eq '' ){	#No Set URL
			return -11;
		}
	}else{	#SET URL
		$GetURL = $GetURLtxt;
	}
	if( $setHtmlFile ne '' ){
		$HtmlTmpFile = $setHtmlFile;
	}
	if( $kyouseiGet != 1 ){
		my @fistat;
		@fistat = stat $HtmlTmpFile;
		if( ( time - $fistat[9] ) < ( 86400 * 7 )){	#1week
			$Flag_GetOK = 1;
		}
	}
	if( $Flag_GetOK == 0 ){
		my $ret = &GetHtmlPage( $GetURL , '' , $HtmlTmpFile );
		if( $ret != 200 ){
			return -12;
		}
	}

	$Flag_GetOK = 1;
	&KaisekiHtmlData;
	return 0;
}

sub GetIPLIST{
	my $self = shift;

	@IPLIST;
}

sub KaisekiHtmlData{
	my @lData;
	if( $Flag_GetOK != 1 ){
		return -1;
	}
	if( open( FI , "$tmpDIR$HtmlTmpFile" )){
		@lData = <FI>;
		close( FI );
	}
	my $f_headfind = 0;
	my $ld;
	my $chunk_headfind = 0;
	my @s_ip , my @e_ip;

	foreach $ld ( @lData ){
		if( $f_headfind == 0 ){	#Header Not Find
			if( $ld =~ m|<table.*?summary\="(list\|address)">| ){
				$f_headfind = 1;
			}
		}else{
			if( $ld =~ m|</table>| ){	#Table End
				last;
			}else{
				if( $chunk_headfind == 0 ){
					if( $ld =~ m|(\d{1,3})\.(\d{1,3})\.(\d{1,3})\.(\d{1,3})| ){
						$s_ip[0] = $1;
						$s_ip[1] = $2;
						$s_ip[2] = $3;
						$s_ip[3] = $4;
						$chunk_headfind = 1;
					}
				}else{
					if( $ld =~ m|(\d{1,3})\.(\d{1,3})\.(\d{1,3})\.(\d{1,3})| ){
						$e_ip[0] = $1;
						$e_ip[1] = $2;
						$e_ip[2] = $3;
						$e_ip[3] = $4;
						&Tenkai_IPAddr( @s_ip , @e_ip );
						$chunk_headfind = 0;
					}
				}
			}
		}
	}
}

#TENUKI
sub Tenkai_IPAddr{
	my @s_ip , my @e_ip;

	( $s_ip[0] , $s_ip[1] , $s_ip[2] , $s_ip[3] ) = @_;
	shift;shift;shift;shift;
	( $e_ip[0] , $e_ip[1] , $e_ip[2] , $e_ip[3] ) = @_;

#print "----- $s_ip[0].$s_ip[1].$s_ip[2].\n";
#print "----- $e_ip[0].$e_ip[1].$e_ip[2].\n";
	my @ipno1 = &MakeIPSpace( $s_ip[0] , $e_ip[0] );
	my @ipno2 = &MakeIPSpace( $s_ip[1] , $e_ip[1] );
	my @ipno3 = &MakeIPSpace( $s_ip[2] , $e_ip[2] );
	my $ip1, my $ip2 , my $ip3;
#print @ipno1 . "\n" . @ipno2 . "\n" . @ipno3 . "\n";
	foreach $ip1 ( @ipno1 ){
		if( scalar( @ipno2 ) == 256 ){
			push @IPLIST ,"$ip1.";
		}else{
			foreach $ip2 ( @ipno2 ){
				if( scalar( @ipno3 ) == 256 ){
					push @IPLIST ,"$ip1.$ip2.";
				}else{
					foreach $ip3 ( @ipno3 ){
#						print "$ip1.$ip2.$ip3.\n";
						push @IPLIST ,"$ip1.$ip2.$ip3.";
					}
				}
			}
		}
	}
}

sub MakeIPSpace{
	my $ipStart = shift;
	my $ipEnd = shift;

	if( $ipStart > $ipEnd ){
		my $ipTmp = $ipStart;
		$ipStart = $ipEnd;
		$ipEnd = $ipTmp;
	}
	my @retip;
	undef @retip;
	foreach( $ipStart .. $ipEnd ){
		push @retip , $_;
	}

	@retip;
}

sub GetHtmlPage{
	my $GUrl = shift;	#Get URL HOST
	my $UAgent = shift;		#User Agent if it's none is "Mozilla/4.8 [en] (Win98; U)"
	my $GdataSaveFile = shift;

	my ( $GUrlHost , $GUrlPage ) = &URL_Divide( $GUrl );
	if( $GUrlHost eq 'ERROR' ){	return 0;	}
	if( $GdataSaveFile =~ m|/| ){	return 0;	}

	if( $UAgent eq '' ){	$UAgent = 'Mozilla/4.8 [en] (Win98\; U)' };

	my $cNT = Net::HTTP->new( Host => $GUrlHost );
	$cNT->write_request(
		GET => $GUrlPage,
		'User-Agent' => $UAgent
	);
	my($code, $mess, %h) = $cNT->read_response_headers;
	if( open( FI , ">$tmpDIR$GdataSaveFile" )){
		while( $code == 200 ){
			my $rbuf;
			my $rn = $cNT->read_entity_body($rbuf, 1024);
			last unless $rn;
			print FI $rbuf;
		}
		close( FI );
	}
	return $code;
}

sub URL_Divide{
	my $NormalURI = shift;	#URL with HOST

	my $dHost;
	my $dFile;

	$dFile = '/';
	if( $NormalURI =~ m|://(.*?)/(.*)$| ){
		$dHost = $1;
		$dFile .= $2;
	}elsif( $NormalURI =~ m|://(.*)| ){
		$dHost = $1;
	}else{
		$dHost = 'ERROR';
	}

	return $dHost , $dFile;
}




1;

__END__
